ST_SRID
Prev | 8.7. Spatial Reference System Functions | Next

## Name

ST_SRID — Returns the spatial reference identifier for a geometry.

## Synopsis

`integer ST_SRID(`geometry g1`)`;

## Description

Returns the spatial reference identifier for the ST_Geometry as defined in spatial_ref_sys table. Section 4.5, “Spatial Reference Systems”

spatial_ref_sys table is a table that catalogs all spatial reference systems known to PostGIS and is used for transformations from one spatial reference system to another. So verifying you have the right spatial reference system identifier is important if you plan to ever transform your geometries.

This method implements the OGC Simple Features Implementation Specification for SQL 1.1. s2.1.1.1

This method implements the SQL/MM specification. SQL-MM 3: 5.1.5

This method supports Circular Strings and Curves

## Examples

    SELECT ST_SRID(ST_GeomFromText('POINT(-71.1043 42.315)',4326));
    		--result
    		4326

## See Also

Section 4.5, “Spatial Reference Systems”, ST_SetSRID, ST_Transform, ST_SRID, ST_SRID

Prev | Up | Next
ST_SetSRID | Home | ST_Transform